package ru.ulstu.deadline.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

public class DeadlineDto {
    private final Integer id;

    private final String description;

    private final Date date;

    @JsonCreator
    public DeadlineDto(@JsonProperty("id") Integer id,
                       @JsonProperty("description") String description,
                       @JsonProperty("date") Date date) {
        this.id = id;
        this.description = description;
        this.date = date;
    }

    public DeadlineDto(Deadline deadline) {
        this.id = deadline.getId();
        this.description = deadline.getDescription();
        this.date = deadline.getDate();
    }

    public Integer getId() {
        return id;
    }

    public String getDescription() {
        return description;
    }

    public Date getDate() {
        return date;
    }
}
